#!/bin/sh
################################################################################
#                                                                              #
# Polish Kathi Team 2009                                                       #
#                                                                              #
# contact: http://pkt.cal.pl/                                                  #
#                                                                              #
################################################################################

. /var/config/link
. /var/config/emu.conf
. /var/config/language.conf

#-------------------------------------------------------------------------------
#language section
#-------------------------------------------------------------------------------

if [ $lang == pl ]; then

  info1="Zatrzymanie dzialajacego MBox_CS"
  info2="Kasowanie MBox_CS"
  info3="Pobieranie nowego MBox_CS"
  info4="Ustawienie uprawnien"
  info5="MBox_CS pobrany !"
  info6="Instalacja nie powiodla sie !"

elif [ $lang == en ]; then

  info1="MBox_CS is stopping..."
  info2="Deleting MBox_CS"
  info3="Downloading MBox_CS"
  info4="Setting rights"
  info5="MBox_CS downloaded!"
  info6="Installation error!"

elif [ $lang == fr ]; then

  info1="MBox_CS est arrete..."
  info2="supprimer MBox_CS"
  info3="Telechargement de nouveaux MBox_CS"
  info4="Permission de fichier"
  info5="MBox_CS telecharges!"
  info6="Erreur dans la installation!"
  
elif [ $lang == ar ]; then

  info1="MBox_CS إيقاف"
  info2="MBox_CS حذف"
  info3="MBox_CS تحميل"
  info4="إعطاء التصريح"
  info5="MBox_CS تم تحميل"
  info6="حدثت مشكلة أثناء التنصيب"  
  
elif [ $lang == de ]; then

  info1="Stoppe MBox_CS"
  info2="Losche MBox_CS"
  info3="Lade MBox_CS"
  info4="Attribute werden zugeteilt"
  info5="MBox_CS geladen !"
  info6="Instalieren fehlgeschlagen !"

elif [ $lang == it ]; then

  info1="MBox_CS e' in arresto"
  info2="Eliminazione MBox_CS ..."
  info3="MBox_CS in download..."
  info4="Impostazioni in corso ..."
  info5="MBox_CS scaricato!"
  info6="Errore durante l'installazione!"    

elif [ $lang == es ]; then
  info1="MBox_CS se esta parando..."
  info2="MBox_CS se esta borrando"
  info3="MBox_CS se esta descargando"
  info4="Estableciendo derechos"
  info5="MBox_CS Descargada e Instalada!"
  info6="Error en la instalacion!"
    
fi

#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------

 if [ $emu == mbox_CS ]; then
    echo $info1
    killall -15 mbox_CS 2>/dev/null
    sleep 3
 fi

 if [ -s /var/emu/mbox_CS ] ; then
    echo $info2
    rm /var/emu/mbox_CS 2>/dev/null
    sleep 3
 fi

 if [ -s /var/keys/mbox_CS.cfg ] ; then
    echo $info2
    rm /var/keys/mbox_CS.cfg 2>/dev/null
    sleep 3
 fi
  
echo $info3
  wget $ADRES/mbox_CS -O /var/emu/mbox_CS 2>/dev/null
  wget $ADRES/mbox_CS.cfg -O /var/keys/mbox_CS.cfg 2>/dev/null
  sync
  sleep 5

 if [ -s /var/emu/mbox_CS ] ; then
    echo $info4
    chmod 755 /var/emu/mbox_CS
    sleep 1
    echo $info5
 else
    echo $info6
 fi

echo ""

exit 0