#!/bin/sh
################################################################################
#                                                                              #
# Polish Kathi Team 2009                                                       #
#                                                                              #
# contact: http://pkt.cal.pl /                                                 #
#                                                                              #
################################################################################

. /var/config/link
. /var/config/emu.conf
. /var/config/language.conf

#-------------------------------------------------------------------------------
#language section
#-------------------------------------------------------------------------------

if [ $lang == pl ]; then

  info1="Zatrzymanie dzialajacego MBox"
  info2="Kasowanie MBox"
  info3="MBox usuniety!"
  info4="Brak zainstalowanego MBox"

elif [ $lang == en ]; then

  info1="MBox is stopping"
  info2="Deleting MBox"
  info3="MBox deleted!"
  info4="MBox is not installed"     

elif [ $lang == ar ]; then

  info1="MBox إيقاف"
  info2="MBox حذف"
  info3="MBox تم حذف"
  info4="MBox لم يتم تنصيب"

elif [ $lang == fr ]; then

  info1="MBox s'arrete"
  info2="Suppression MBox"
  info3="MBox supprime!"
  info4="MBox n'est pas installe"
  
elif [ $lang == de ]; then

  info1="Stoppe MBox"
  info2="Losche MBox"
  info3="MBox geloscht!"
  info4="Keine MBox"

elif [ $lang == it ]; then

  info1="MBox e' in arresto"
  info2="Eliminazione MBox ..."
  info3="MBox eliminato!"
  info4="MBox non installato"

elif [ $lang == es ]; then
  info1="MBox se esta parando"
  info2="Borrando MBox"
  info3="MBox borrada!"
  info4="MBox no esta instalada"  

fi

#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------

 if [ $emu == mbox ]; then
    echo $info1
    killall -15 mbox 2>/dev/null
    sleep 3
    echo /var/etc/no_emu > /var/etc/active_cam
    echo emuname =no_emu > /var/etc/no_emu
    echo emu=no_emu >/var/config/emu.conf
 fi

 if [ -s /var/emu/mbox ] ; then
    echo $info2
    rm /var/emu/mbox 2>/dev/null
    sleep 3
    echo $info3
 else
    echo $info4
 fi
  
echo ""

exit 0